Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerDelegate

    java.lang.Object
      javax.management.MBeanServerDelegate

All Implemented Interfaces:
  MBeanServerDelegateMBean, NotificationBroadcaster, NotificationEmitter

public class MBeanServerDelegate
extends Object
implements MBeanServerDelegateMBean, NotificationEmitter

Mandatory MBean server delegate MBean implementation.

Version:
  $Revision: 1.7 $
Author:
  Juha Lindfors.
See Also:
  `MBeanServerDelegateMBean`

Constructor Summary
`MBeanServerDelegate()`

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)` Add a listener to an MBean.
`String` | `getImplementationName()`
`String` | `getImplementationVendor()`
`String` | `getImplementationVersion()`
`String` | `getMBeanServerId()`
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns the notification metadata associated with the MBean.
`String` | `getSpecificationName()`
`String` | `getSpecificationVendor()`
`String` | `getSpecificationVersion()`
`void` | `removeNotificationListener(NotificationListener listener)` Removes a listener from an MBean.
`void` | `removeNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)` Removes a listener from the Emitter.
`void` | `sendNotification(Notification notification)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerDelegate

    public MBeanServerDelegate()

Method Detail

### getMBeanServerId

    public String getMBeanServerId()

  Specified by:
    `getMBeanServerId` in interface `MBeanServerDelegateMBean`

### getSpecificationName

    public String getSpecificationName()

  Specified by:
    `getSpecificationName` in interface `MBeanServerDelegateMBean`

### getSpecificationVersion

    public String getSpecificationVersion()

  Specified by:
    `getSpecificationVersion` in interface `MBeanServerDelegateMBean`

### getSpecificationVendor

    public String getSpecificationVendor()

  Specified by:
    `getSpecificationVendor` in interface `MBeanServerDelegateMBean`

### getImplementationName

    public String getImplementationName()

  Specified by:
    `getImplementationName` in interface `MBeanServerDelegateMBean`

### getImplementationVersion

    public String getImplementationVersion()

  Specified by:
    `getImplementationVersion` in interface `MBeanServerDelegateMBean`

### getImplementationVendor

    public String getImplementationVendor()

  Specified by:
    `getImplementationVendor` in interface `MBeanServerDelegateMBean`

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Description copied from interface: `NotificationBroadcaster`
  Returns the notification metadata associated with the MBean.

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  Returns:
    MBean's notification metadata
  See Also:
    `MBeanNotificationInfo`

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        Object handback)
                                 throws IllegalArgumentException

  Description copied from interface: `NotificationBroadcaster`
  Add a listener to an MBean.

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` - implementation of the listener object
    `filter` - implementation of the filter object or `null` if no filtering is required
    `handback` - A handback object associated with each notification sent by this notification broadcaster.
  Throws:
    `IllegalArgumentException` - if listener is `null`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener,
                                           NotificationFilter filter,
                                           Object handback)
                                    throws ListenerNotFoundException

  Description copied from interface: `NotificationEmitter`
  Removes a listener from the Emitter.

  Only the listener, filter, handback triplet is removed

  Specified by:
    `removeNotificationListener` in interface `NotificationEmitter`
  Parameters:
    `listener` - the listener object to remove
    `filter` - the filter registered with the listener
    `handback` - the handback object associated with the registered listener
  Throws:
    `ListenerNotFoundException` - if the listener was not found

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Description copied from interface: `NotificationBroadcaster`
  Removes a listener from an MBean.

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` - the listener object to remove
  Throws:
    `ListenerNotFoundException` - if the listener was not found

### sendNotification

    public void sendNotification(Notification notification)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.